
Foreman - Bug #2358

Duplicate epel and HTTP Proxy snippets added in migrations

03/29/2013 03:44 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Templates   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

On a clean install of Foreman, you get two copies of the "epel" snippet and six copies of the "HTTP proxy" snippet.

For epel, the snippet is automatically added in db/migrate/20101125153351_add_default_templates.rb, which adds every known

snippet.  It's then added as well by 20120604114049_add_epel_snippets.rb which doesn't check if it's already defined.

For HTTP proxy, the snippet is also added by 20110420150600_add_solaris_templates.rb for every template type without checking if

it exists.

Associated revisions

Revision 0fd91b46 - 04/02/2013 02:18 PM - Dominic Cleal

fixes #2358 - remove duplicate epel/HTTP proxy snippets

History

#1 - 03/29/2013 04:56 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/489

#2 - 04/02/2013 03:18 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0fd91b460a97866179582c7e8d916d669f426dde.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://github.com/theforeman/foreman/pull/489
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/0fd91b460a97866179582c7e8d916d669f426dde
http://www.tcpdf.org

